> ## Documentation Index
> Fetch the complete documentation index at: https://cobo.com/developers/llms.txt
> Use this file to discover all available pages before exploring further.

# Trigger test event

> This operation tests the functionality of your webhook endpoint by triggering a test webhook event. The test event will be sent to all the endpoints you have registered on Cobo Portal.

You only need to provide the event type. By default, the payload contains dummy data with no impact on your real business transactions or activities. You can optionally provide the `override_data` property to customize the payload.

<Note>Currently, you can only trigger test webhook events with the event data types [`Transaction`](https://www.cobo.com/developers/v2/guides/webhooks-callbacks/webhook-event-type#transaction-events-deposits%2Fwithdrawals%2Fcontract-calls%2Fmessage-signing) and [`TSSRequest`](https://www.cobo.com/developers/v2/guides/webhooks-callbacks/webhook-event-type#mpc-tss-request-events).</Note>


<Tip>
  Try [Cobo WaaS Skill](/v2/guides/overview/cobo-waas-skill) in your AI coding assistant (Claude Code, Cursor, etc.). Describe your needs in natural language to auto-generate production-ready SDK code and debug faster 🚀
</Tip>

<RequestExample>
  ```python Python theme={null}
  import cobo_waas2
  from cobo_waas2.models.trigger_test_webhook_event201_response import (
      TriggerTestWebhookEvent201Response,
  )
  from cobo_waas2.models.trigger_test_webhook_event_request import (
      TriggerTestWebhookEventRequest,
  )
  from cobo_waas2.rest import ApiException
  from pprint import pprint

  # See configuration.py for a list of all supported configurations.
  configuration = cobo_waas2.Configuration(
      # Replace `<YOUR_PRIVATE_KEY>` with your private key
      api_private_key="<YOUR_PRIVATE_KEY>",
      # Select the development environment. To use the production environment, change the URL to https://api.cobo.com/v2.
      host="https://api.dev.cobo.com/v2",
  )
  # Enter a context with an instance of the API client
  with cobo_waas2.ApiClient(configuration) as api_client:
      # Create an instance of the API class
      api_instance = cobo_waas2.DevelopersWebhooksApi(api_client)
      trigger_test_webhook_event_request = cobo_waas2.TriggerTestWebhookEventRequest(
          event_type="wallets.transaction.created"
      )

      try:
          # Trigger test event
          api_response = api_instance.trigger_test_webhook_event(
              trigger_test_webhook_event_request=trigger_test_webhook_event_request
          )
          print("The response of DevelopersWebhooksApi->trigger_test_webhook_event:\n")
          pprint(api_response)
      except Exception as e:
          print(
              "Exception when calling DevelopersWebhooksApi->trigger_test_webhook_event: %s\n"
              % e
          )

  ```

  ```java Java theme={null}
  // Import classes:
  import com.cobo.waas2.ApiClient;
  import com.cobo.waas2.ApiException;
  import com.cobo.waas2.Configuration;
  import com.cobo.waas2.Env;
  import com.cobo.waas2.api.DevelopersWebhooksApi;
  import com.cobo.waas2.model.*;

  public class Example {
    public static void main(String[] args) {
      ApiClient defaultClient = Configuration.getDefaultApiClient();
      // Select the development environment. To use the production environment, replace `Env.DEV` with
      // `Env.PROD
      defaultClient.setEnv(Env.DEV);

      // Replace `<YOUR_PRIVATE_KEY>` with your private key
      defaultClient.setPrivKey("<YOUR_PRIVATE_KEY>");
      DevelopersWebhooksApi apiInstance = new DevelopersWebhooksApi();
      TriggerTestWebhookEventRequest triggerTestWebhookEventRequest =
          new TriggerTestWebhookEventRequest()
              .eventType(WebhookEventType.WALLETS_TRANSACTION_CREATED);
      try {
        TriggerTestWebhookEvent201Response result =
            apiInstance.triggerTestWebhookEvent(triggerTestWebhookEventRequest);
        System.out.println(result);
      } catch (ApiException e) {
        System.err.println("Exception when calling DevelopersWebhooksApi#triggerTestWebhookEvent");
        System.err.println("Status code: " + e.getCode());
        System.err.println("Reason: " + e.getResponseBody());
        System.err.println("Response headers: " + e.getResponseHeaders());
        e.printStackTrace();
      }
    }
  }

  ```

  ```go Go theme={null}
  package main

  import (
  	"context"
  	"fmt"
  	coboWaas2 "github.com/CoboGlobal/cobo-waas2-go-sdk/cobo_waas2"
  	"github.com/CoboGlobal/cobo-waas2-go-sdk/cobo_waas2/crypto"
  	"os"
  )

  func main() {
  	triggerTestWebhookEventRequest := *coboWaas2.NewTriggerTestWebhookEventRequest(coboWaas2.WebhookEventType("wallets.transaction.created"))

  	configuration := coboWaas2.NewConfiguration()
  	// Initialize the API client
  	apiClient := coboWaas2.NewAPIClient(configuration)
  	ctx := context.Background()

  	// Select the development environment. To use the production environment, replace coboWaas2.DevEnv with coboWaas2.ProdEnv
  	ctx = context.WithValue(ctx, coboWaas2.ContextEnv, coboWaas2.DevEnv)
  	// Replace `<YOUR_PRIVATE_KEY>` with your private key
  	ctx = context.WithValue(ctx, coboWaas2.ContextPortalSigner, crypto.Ed25519Signer{
  		Secret: "<YOUR_PRIVATE_KEY>",
  	})
  	resp, r, err := apiClient.DevelopersWebhooksAPI.TriggerTestWebhookEvent(ctx).
  		TriggerTestWebhookEventRequest(triggerTestWebhookEventRequest).
  		Execute()
  	if err != nil {
  		fmt.Fprintf(
  			os.Stderr,
  			"Error when calling `DevelopersWebhooksAPI.TriggerTestWebhookEvent``: %v\n",
  			err,
  		)
  		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
  	}
  	// response from `TriggerTestWebhookEvent`: TriggerTestWebhookEvent201Response
  	fmt.Fprintf(
  		os.Stdout,
  		"Response from `DevelopersWebhooksAPI.TriggerTestWebhookEvent`: %v\n",
  		resp,
  	)
  }

  ```

  ```javascript JavaScript theme={null}
  const CoboWaas2 = require("@cobo/cobo-waas2");
  // Initialize the API client
  const apiClient = CoboWaas2.ApiClient.instance;
  // Select the development environment. To use the production environment, replace `Env.DEV` with `Env.PROD`
  apiClient.setEnv(CoboWaas2.Env.DEV);
  // Replace `<YOUR_PRIVATE_KEY>` with your private key
  apiClient.setPrivateKey("<YOUR_PRIVATE_KEY>");
  // Call the API
  const apiInstance = new CoboWaas2.DevelopersWebhooksApi();
  const opts = {
    TriggerTestWebhookEventRequest:
      CoboWaas2.TriggerTestWebhookEventRequest.constructFromObject({
        event_type: "wallets.transaction.created",
      }),
  };
  apiInstance.triggerTestWebhookEvent(opts).then(
    (data) => {
      console.log("API called successfully. Returned data: " + data);
    },
    (error) => {
      console.error(error);
    },
  );

  ```
</RequestExample>


## OpenAPI

````yaml post /webhooks/events/trigger
openapi: 3.0.3
info:
  title: Cobo Wallet as a Service 2.0
  description: >
    The Cobo Wallet-as-a-Service (WaaS) 2.0 API is the latest version of Cobo's
    WaaS API offering. It enables you to access Cobo's full suite of crypto
    wallet technologies with powerful and flexible access controls. By
    encapsulating complex security protocols and streamlining blockchain
    interactions, this API allows you to concentrate on your core business
    activities without worrying about the safety of your assets. The WaaS 2.0
    API presents the following key features:


    - A unified API for Cobo's [all four wallet
    types](https://manuals.cobo.com/en/portal/introduction#an-all-in-one-wallet-platform)

    - Support for 80+ chains and 3000+ tokens

    - A comprehensive selection of webhook events

    - Flexible usage models for MPC Wallets, including [Organization-Controlled
    Wallets](https://manuals.cobo.com/en/portal/mpc-wallets/ocw/introduction)
    and [User-Controlled
    Wallets](https://manuals.cobo.com/en/portal/mpc-wallets/ucw/introduction)

    - Programmatic control of smart contract wallets such as Safe{Wallet} with
    fine-grained access controls

    - Seamlessly transfer funds across multiple exchanges, including Binance,
    OKX, Bybit, Deribit, and more


    For more information about the WaaS 2.0 API, see [Introduction to WaaS
    2.0](https://www.cobo.com/developers/v2/guides/overview/introduction).
  termsOfService: https://cobo.com/waas/tos/
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  contact:
    name: Cobo WaaS
    url: https://www.cobo.com/waas
    email: help@cobo.com
  version: 1.0.0
servers:
  - url: https://api.dev.cobo.com/v2
    description: Development environment
  - url: https://api.cobo.com/v2
    description: Production environment
security:
  - CoboAuth: []
tags:
  - name: Organizations
    description: Operations related to Organizations.
  - name: Wallets
    description: Operations related to all wallets.
  - name: Wallets - MPC Wallets
    description: Operations related to mpc wallet.
  - name: Wallets - Exchange Wallet
    description: Operations related to exchange wallet.
  - name: Wallets - Smart Contract Wallets
    description: Operations related to smart contract wallet.
  - name: Transactions
    description: Operations related to all transactions.
  - name: Developers - Webhooks
    description: Operations related to webhooks.
  - name: Stakings
    description: Operations related to staking.
  - name: OAuth
    description: Operations related to OAuth.
  - name: Developers
    description: Operations related to developers.
  - name: AddressBooks
    description: Operations related to address books.
  - name: TravelRule
    description: Operations related to travel rule.
  - name: GraphQL
    description: Operations related to executing GraphQL queries and mutations.
  - name: PrimeBroker
    description: Operations related to prime broker.
  - name: AppWorkflows
    description: Operations related to app workflow.
  - name: FeeStation
    description: Operations related to fee station.
  - name: Payment
    description: Operations related to payment.
  - name: Batch Payouts
    description: Operations related to batch payouts.
  - name: Tokenization
    description: Operations related to tokenization.
  - name: AutoSweep
    description: Operations related to auto sweep.
  - name: Compliance
    description: Operations related to compliance.
paths:
  /webhooks/events/trigger:
    post:
      tags:
        - Developers - Webhooks
      summary: Trigger test event
      description: >
        This operation tests the functionality of your webhook endpoint by
        triggering a test webhook event. The test event will be sent to all the
        endpoints you have registered on Cobo Portal.


        You only need to provide the event type. By default, the payload
        contains dummy data with no impact on your real business transactions or
        activities. You can optionally provide the `override_data` property to
        customize the payload.


        <Note>Currently, you can only trigger test webhook events with the event
        data types
        [`Transaction`](https://www.cobo.com/developers/v2/guides/webhooks-callbacks/webhook-event-type#transaction-events-deposits%2Fwithdrawals%2Fcontract-calls%2Fmessage-signing)
        and
        [`TSSRequest`](https://www.cobo.com/developers/v2/guides/webhooks-callbacks/webhook-event-type#mpc-tss-request-events).</Note>
      operationId: trigger_test_webhook_event
      requestBody:
        $ref: '#/components/requestBodies/triggerTestEventBody'
      responses:
        '201':
          $ref: '#/components/responses/triggerTestWebhookEventResponse'
        4XX:
          $ref: '#/components/responses/badRequestError'
        5XX:
          $ref: '#/components/responses/internalServerError'
components:
  requestBodies:
    triggerTestEventBody:
      description: 'The request body used to trigger a test webhook event. '
      content:
        application/json:
          schema:
            type: object
            required:
              - event_type
            properties:
              event_type:
                $ref: '#/components/schemas/WebhookEventType'
              override_data:
                type: object
                description: >
                  An object for customization of the webhook event payload. You
                  only need to include the fields you want to customize. 


                  The provided fields must match the webhook event data
                  structure, depending on the specified event type. For a
                  complete introduction of the webhook event data structure,
                  refer to the `data.data` property in the response of [List all
                  webhook
                  events](https://www.cobo.com/developers/v2/api-references/developers--webhooks/list-all-webhook-events).


                  If this property is not provided, a default payload will be
                  returned.
                example:
                  chain_id: ETH
                  transaction_id: Test-transaction-id
  responses:
    triggerTestWebhookEventResponse:
      description: The request was successful.
      content:
        application/json:
          schema:
            type: object
            properties:
              triggered:
                type: boolean
                description: |
                  Whether a test webhook event was successfully triggered.
                  - `true`: The test webhook event was successfully triggered.
                  - `false`: The test webhook event could not be triggered.
                example: true
    badRequestError:
      description: >-
        Bad request. Your request contains malformed syntax or invalid
        parameters.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    internalServerError:
      description: Internal server error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  schemas:
    WebhookEventType:
      type: string
      enum:
        - wallets.transaction.created
        - wallets.transaction.updated
        - wallets.transaction.failed
        - wallets.transaction.succeeded
        - wallets.mpc.tss_request.created
        - wallets.mpc.tss_request.updated
        - wallets.mpc.tss_request.failed
        - wallets.mpc.tss_request.succeeded
        - wallets.addresses.created
        - wallets.created
        - wallets.token_listing.failed
        - wallets.token_listing.succeeded
        - mpc_vaults.created
        - fee_station.transaction.created
        - fee_station.transaction.updated
        - fee_station.transaction.failed
        - fee_station.transaction.succeeded
        - fee_station.fiat_transaction.created
        - wallet.token.enabled
        - wallet.chain.enabled
        - wallet.mpc.balance.updated
        - wallet.web3.balance.updated
        - wallet.token.disabled
        - wallet.chain.disabled
        - token.suspended.deposit
        - token.suspended.withdraw
        - payment.transaction.created
        - payment.transaction.late
        - payment.transaction.completed
        - payment.transaction.held
        - payment.transaction.failed
        - payment.status.updated
        - payment.order.status.updated
        - payment.refund.status.updated
        - payment.settlement.status.updated
        - payment.payout.status.updated
        - payment.address.updated
        - payment.subscription.status.updated
        - payment.charge.status.updated
        - payment.bulk_send.status.updated
        - payment.transaction.external.created
        - payment.transaction.external.completed
        - payment.transaction.settlement_network.created
        - payment.transaction.settlement_network.completed
        - compliance.disposition.status.updated
        - compliance.kyt.screenings.status.updated
        - compliance.kya.screenings.status.updated
      example: wallets.transaction.created
      description: >
        The event type. To learn the trigger condition of each event type, refer
        to [Webhook event types and event
        data](https://www.cobo.com/developers/v2/guides/webhooks-callbacks/webhook-event-type). 
    ErrorResponse:
      type: object
      description: The response of a failed request.
      required:
        - error_code
        - error_message
        - error_id
      properties:
        error_code:
          type: integer
          description: >-
            The error code. Refer to [Error codes and status
            codes](https://www.cobo.com/developers/v2/api-references/error-codes)
            for more details.
        error_message:
          type: string
          description: The error description.
        error_id:
          type: string
          description: >-
            The error log ID. You can provide the error ID when submitting a
            ticket to help Cobo to locate the issue.
          example: 0b6ddf19083c4bd1a9ca01bec44b24dd
  securitySchemes:
    CoboAuth:
      type: apiKey
      in: header
      name: BIZ-API-KEY
      description: >
        The API key. For more details, refer to [API
        key](https://www.cobo.com/developers/v2/guides/overview/cobo-auth#api-key).


        In the API playground, enter your [API
        secret](https://www.cobo.com/developers/v2/guides/overview/cobo-auth#api-secret),
        and your API key will be accordingly calculated.

````